# module Kramdown::Converter

This module contains all available converters, i.e. classes that take a root Element and convert it to a specific output format. The result is normally a string. For example, the Converter::Html module converts an element tree into valid HTML.

Converters use the Base class for common functionality (like applying a template to the output) - see its API documentation for how to create a custom converter class.

### Constants

HashAst

  Converts a Kramdown::Document to a nested hash for further processing or debug output.